package com.rwk.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.rwk.system.mapper.RwkBookGroupMapper;
import com.rwk.system.domain.RwkBookGroup;
import com.rwk.system.service.IRwkBookGroupService;
import com.rwk.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-12-16
 */
@Service
public class RwkBookGroupServiceImpl implements IRwkBookGroupService 
{
    @Autowired
    private RwkBookGroupMapper rwkBookGroupMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param bookId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public RwkBookGroup selectRwkBookGroupByBookId(Long bookId)
    {
        return rwkBookGroupMapper.selectRwkBookGroupByBookId(bookId);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<RwkBookGroup> selectRwkBookGroupList(RwkBookGroup rwkBookGroup)
    {
        return rwkBookGroupMapper.selectRwkBookGroupList(rwkBookGroup);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertRwkBookGroup(RwkBookGroup rwkBookGroup)
    {
        return rwkBookGroupMapper.insertRwkBookGroup(rwkBookGroup);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @return 结果
     */
    @Override
    public int insertRwkBookGroupList(List<RwkBookGroup> rwkBookGroups)
    {
        return rwkBookGroupMapper.insertRwkBookGroupList(rwkBookGroups);
    }



    /**
     * 修改【请填写功能名称】
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateRwkBookGroup(RwkBookGroup rwkBookGroup)
    {
        return rwkBookGroupMapper.updateRwkBookGroup(rwkBookGroup);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param bookIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteRwkBookGroupByBookIds(String bookIds)
    {
        return rwkBookGroupMapper.deleteRwkBookGroupByBookIds(Convert.toStrArray(bookIds));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param bookId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteRwkBookGroupByBookId(Long bookId)
    {
        return rwkBookGroupMapper.deleteRwkBookGroupByBookId(bookId);
    }


    @Override
    public int deleteRwkBookGroupByGroupId(Long groupId)
    {
        return rwkBookGroupMapper.deleteRwkBookGroupByGroupId(groupId);
    }
}
